- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConstraintOption Class Reference

the ConstraintOption class. More...

`#include <OSOption.h>`

Collaboration diagram for ConstraintOption:

[legend]
List of all members.

## Public Member Functions
| ConstraintOption ()
| Default constructor.
| ~ConstraintOption ()
| Class destructor.
bool | IsEqual (ConstraintOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setOther (int numberOfOptions, OtherConstraintOption **other)
| A function to set an array of <other> elements.
bool | addOther (OtherConstraintOption *other)
| A function to add an <other> element.
## Public Attributes
int | numberOfOtherConstraintOptions
| number of <other> child elements
InitConstraintValues * | initialConstraintValues
| initial values for the constraints
InitDualVariableValues * | initialDualValues
| initial dual values for the constraints
BasisStatus * | initialBasisStatus
| initial basis status for the slack variables
OtherConstraintOption ** | other
| other information about the constraints

## Detailed Description

the ConstraintOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2744 of file OSOption.h.

## Constructor & Destructor Documentation

ConstraintOption::ConstraintOption | ( |  | ) |

Default constructor.

Definition at line 1095 of file OSOption.cpp.

References initialBasisStatus, initialConstraintValues, initialDualValues, and other.

ConstraintOption::~ConstraintOption | ( |  | ) |

Class destructor.

Definition at line 1107 of file OSOption.cpp.

References initialBasisStatus, initialConstraintValues, initialDualValues, numberOfOtherConstraintOptions, and other.

## Member Function Documentation

bool ConstraintOption::IsEqual | ( | ConstraintOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 9800 of file OSOption.cpp.

References initialBasisStatus, initialConstraintValues, initialDualValues, numberOfOtherConstraintOptions, and other.

bool ConstraintOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 11067 of file OSOption.cpp.

References initialBasisStatus, initialConstraintValues, initialDualValues, numberOfOtherConstraintOptions, OSRand(), other, OtherConstraintOption::setRandom(), BasisStatus::setRandom(), InitDualVariableValues::setRandom(), and InitConstraintValues::setRandom().

Referenced by OptimizationOption::setRandom().

bool ConstraintOption::setOther | ( | int | numberOfOptions,
|  | OtherConstraintOption ** | other |
| ) |  |  |

A function to set an array of <other> elements.

Parameters:

  | numberOfOptions,: | number of <other> elements to be set
  | other,: | the array of <other> elements that are to be set

Definition at line 5944 of file OSOption.cpp.

References OtherConstraintOption::category, OtherConstraintOption::con, OtherConstraintOption::description, OtherConstraintOption::enumeration, OtherConstraintOption::name, OtherConstraintOption::numberOfCon, OtherConstraintOption::numberOfEnumerations, numberOfOtherConstraintOptions, other, OtherOptionEnumeration::setOtherOptionEnumeration(), OtherConstraintOption::solver, OtherConstraintOption::type, and OtherConstraintOption::value.

Referenced by OSOption::setOtherConstraintOptions().

bool ConstraintOption::addOther | ( | OtherConstraintOption * | other | ) |

A function to add an <other> element.

Parameters:

  | other,: | the content of the <other> element to be added

Definition at line 6012 of file OSOption.cpp.

References OtherConstraintOption::category, OtherConstraintOption::con, OtherOptionEnumeration::description, OtherConstraintOption::description, IntVector::el, OtherConstraintOption::enumeration, OtherConstraintOption::name, OtherConstraintOption::numberOfCon, IntVector::numberOfEl, OtherConstraintOption::numberOfEnumerations, numberOfOtherConstraintOptions, other, OtherConstraintOption::solver, OtherConstraintOption::type, OtherOptionEnumeration::value, and OtherConstraintOption::value.

Referenced by OSOption::setAnOtherConstraintOption().

## Member Data Documentation

int ConstraintOption::numberOfOtherConstraintOptions

number of <other> child elements

Definition at line 2748 of file OSOption.h.

Referenced by addOther(), OSOption::getNumberOfOtherConstraintOptions(), IsEqual(), OSOption::setNumberOfOtherConstraintOptions(), setOther(), OSOption::setOtherConstraintOptionAttributes(), OSOption::setOtherConstraintOptionCon(), OSOption::setOtherConstraintOptions(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~ConstraintOption().

InitConstraintValues* ConstraintOption::initialConstraintValues

initial values for the constraints

Definition at line 2751 of file OSOption.h.

Referenced by ConstraintOption(), OSOption::getInitConValuesSparse(), OSOption::getNumberOfInitConValues(), IsEqual(), OSOption::setAnotherInitConValue(), OSOption::setInitConValues(), OSOption::setInitConValuesDense(), OSOption::setInitConValuesSparse(), setRandom(), and ~ConstraintOption().

InitDualVariableValues* ConstraintOption::initialDualValues

initial dual values for the constraints

Definition at line 2754 of file OSOption.h.

Referenced by ConstraintOption(), OSOption::getInitDualVarValuesSparse(), OSOption::getNumberOfInitDualVarValues(), IsEqual(), OSOption::setAnotherInitDualVarValue(), OSOption::setInitDualValues(), OSOption::setInitDualVarValuesDense(), OSOption::setInitDualVarValuesSparse(), setRandom(), and ~ConstraintOption().

BasisStatus* ConstraintOption::initialBasisStatus

initial basis status for the slack variables

Definition at line 2757 of file OSOption.h.

Referenced by ConstraintOption(), OSOption::getInitialBasisElements(), OSOption::getNumberOfInitialBasisElements(), OSOption::getSlackVariableInitialBasisStatusDense(), IsEqual(), OSOption::setAnotherInitBasisStatus(), OSOption::setInitBasisStatus(), setRandom(), and ~ConstraintOption().

OtherConstraintOption** ConstraintOption::other

other information about the constraints

Definition at line 2760 of file OSOption.h.

Referenced by addOther(), ConstraintOption(), OSOption::getAllOtherConstraintOptions(), IsEqual(), OSOption::setNumberOfOtherConstraintOptions(), setOther(), OSOption::setOtherConstraintOptionAttributes(), OSOption::setOtherConstraintOptionCon(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~ConstraintOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp